/*
 * definitions for dealing with resolving xbars with invalid packets
 */
#define FMS_INV_RT 500     	/* number of invalid packets to send */
#define FMS_INV_RT_LOW  200	/* low thresh */
#define FMS_INV_RT_HIGH 1200	/* high thresh */
                                /* times to retry sending invalid routes */
#define FMS_INV_RT_MAX_RETRIES 5
                                /* how long the FMS should wait to inspect the 
                                 * switch after FMA sends invalid routes */
#define FMS_SWITCH_INSPECTION_DELAY_MS 1500

/*
 * prototypes
 */
void fms_resolve_fabric();
int fms_fabric_needs_resolution();

void fms_send_inv_rts_complete();
void fms_inv_rt_cnt_check();
