/*

use fma_dfs_calc_all_routes in a loop like this to
get multiple sets of dispersive routes.
assuming fma_set_all_routes can grow the routing table

for (int i = 0; i < NUM_MULTIPLE_ROUTES; i++)
{
  fma_dfs_calc_all_routes (&A, !i);
  fma_set_all_routes();
}

*/


#ifndef fma_dfs_route_h
#define fma_dfs_route_h

int fma_dfs_calc_nic_routes (struct lf_fabric *fp, struct fma_nic_info *nip,
    int clear_loads, int num_routes);
int fma_dfs_calc_all_routes (int clear_loads, int route_num);

#endif /*fma_dfs_route_h*/
