#ifndef _lf_xbar32_h_
#define _lf_xbar32_h_

/*
 * Hardware-specific struct for an xbar32
 */

#define LF_XBAR32_QUERY_ROUTE 0xA0	/* route byte for querying an x32 */

/*
 * This struct must start 4 bytes into a message and be clear to zero
 * for CRC to be computed properly
 */
struct lf_xbar32_insert {
  uint32_t id;
  uint8_t absolute_port;
  uint8_t quadrant_enabled;
  uint16_t pad0;
  uint32_t status_mask;
  uint32_t pad1;
  uint32_t crc32;
};

#endif /* _lf_xbar32_h_ */
